#version 330                                                                        

uniform sampler2D gColorTexture;
                          
in vec2 TexCoord; 	
in float fTransparency;
			                                
out vec4 color;                                                                 
                                                                                    
void main()                                                                         
{               
	vec4 texColor = texture2D(gColorTexture, gl_PointCoord);      
	                                                
    color = vec4(texColor.r, texColor.g, texColor.b, fTransparency);
	      
	//color = vec4(0.5, 0.0, 0.0, 1);     
	
	if (color.r <= 0.2 && color.g <= 0.2 && color.b <= 0.2) {           
        discard;                                                                    
    }                                                                  
}