#version 330                                                                        
                                                                                    
in vec3 Position;                                             
in float Transparency;

out float fTransparency;

uniform mat4 vViewProjectionMatrix; 
  
float rand(vec2 co){
  return fract(sin(dot(co.xy ,vec2(12.9898,78.233))) * 43758.5453);
}

float randomPointSize(vec2 v) {
	float random = rand(v);

	return ((0.35 + random)) * 6;
}
                                                           
void main()                                                                         
{                                                                                   
    gl_Position = vViewProjectionMatrix * vec4(Position, 1.0); 
	gl_PointSize = randomPointSize(Position.xy);   
	
	fTransparency = Transparency;                                          
}                                                                                   
