#version 330

uniform sampler2D colorTexture;
uniform mat4 modelMatrix;

struct Light {
	vec3 l_position;
	vec3 l_ambient;
	vec3 l_diffuse;
	vec3 l_specular;
};

uniform Material {
	vec4 m_diffuse;
	vec4 ambient;
	vec4 specular;
	vec4 emissive;
	float shininess;
	float test;
};

uniform Light lights[10];

in vec3 fragVert;
in vec3 fragNormal;
in vec2 fragTexCoord;

layout(location = 0) out vec4 fragColor;

void main()
{
    fragColor = vec4(0.42,0.53,0.63, 0.6);
}