#version 330
layout(location = 0) in vec4 position;
uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;
uniform mat4 modelMatrix;

void main()
{
    vec4 temp = modelMatrix * position;
    temp = viewMatrix * temp;
    gl_Position = projectionMatrix * temp;
}

